{% extends "base.html" %}
{% block title %}
{{ title }} - {{ ref }}
{% endblock %}

{% block content %}
<div class="container">
    <div class="row">
        <h1>{{ title }}</h1>
    </div>
    <div class="row">
        {% if pr_url %}
        <div class="col-2">
            Ref: <a href="{{ pr_url }}">{{ ref }}</a>
        </div>
        {% endif %}
        {% if commit_url %}
        <div class="col-2">
            Commit: <a href="{{ commit_url }}">{{ pipeline.sha[0:8] }}</a>
        </div>
        {% endif %}
        {% if authorized %}
        Authorized access - Allowing to restart / cancel jobs
        {% endif %}
    </div>
    <hr class="border-2 border-top">
    {% if pipeline.yaml_errors %}
    <div class="row">
        <div class="col-2 {{ text_color }}">
            <svg class="bi" height="1em" width="1em" fill="currentColor">
                <use xlink:href="/{{ url_prefix }}/static/img/bootstrap-icons.svg#{{ icon }}" />
            </svg>
            YAML error:
        </div>
        <div class="col-6">{{ pipeline.yaml_errors }}</div>
    </div>
    {% else %}
    {% for stage in stages %}
    <div class="row mt-4">
        <div class="col-12">
            <h3>
                <svg class="bi {{ stage["text_color"] }}" height="1em" width="1em" fill="currentColor">
                    <use xlink:href="/{{ url_prefix }}/static/img/bootstrap-icons.svg#{{ stage["icon"] }}" />
                </svg> {{ stage["name"] }}
            </h3>
        </div>
    </div>
    {% for job in stage["jobs"] %}
    <div class="row">
        <div class="col-4">
            <a class="{{ "text-secondary" if job["status"]=="skipped" else "" }}" href="{{ job["href"] }}">{{ job["name"] }}</a>
        </div>
        <div class="col-2 {{ job["text_color"] }}">
            <svg class="bi" height="1em" width="1em" fill="currentColor">
                <use xlink:href="/{{ url_prefix }}/static/img/bootstrap-icons.svg#{{ job["icon"] }}" />
            </svg> {{ job["status"] }}
        </div>
        <div class="col-2 text-secondary">{{ job.duration }}</div>
    </div>
    {% endfor %}
    {% endfor %}
    {% endif %}
</div>
<a href="/{{ url_prefix }}/setup_ci" style="position: fixed; bottom:10px; right:10px;">Go to CI setup</a>

{% endblock %}

